/*
 * iaxshell - a minimalistic IAX2 shell
 *
 * Arnaldo M. Pereira - arnaldo@ansi-c.org
 */

#ifndef IAXREADLINE_H
#define IAXREADLINE_H

/*
 * Returns iaxshell commands that begins with 'text', or
 * NULL if there's none.
 */
char *iaxshell_command_generator (const char *text, int state);

/*
 * Completes commands for readline
 */
char **iaxshell_completion (const char *text, int start, int end);

/*
 * Initialize libreadline
 */
void iaxshell_init_readline (void);

/*
 * Read a line
 */
extern char *iaxshell_readline (void);

/*
 * Show command history
 */
void iaxshell_show_history (void);

#endif
